<div class="container">
    <div [hidden]="submitted">
      <h1>Login</h1>
      <form (ngSubmit)="onSubmit(userForm)" #userForm="ngForm">
        <div class="form-group">
          <label for="username">Username</label><br>
          <input type="text" class="form-control" id="username" required ngModel #username="ngModel" name="username">
          <div [hidden]="username.valid || username.pristine" class="error">
            Name is required
          </div>
        </div>
  
        <div class="form-group">
          <label for="password">Password</label><br>
          <input type="password" class="form-control" id="password" required  #password="ngModel" ngModel name="password">
          <div [hidden]="password.valid || password.pristine" class="error">
            Password is required
          </div>
        </div>

        <div [hidden]="!exists" class="error">
           Username or Password incorrect
        </div>

        <button type="submit" class="btn btn-success" [disabled]="!userForm.form.valid">Submit</button>
      </form>
    </div>
  
   
  </div>